Skip to main content
GET
Comments, Replies & Likers
Page through a media’s comments, or list the replies to or likers of a comment. Credits: 12 (comments, comments/{comment_id}/replies, comments/{comment_id}/likers)

Authorization

string
required
Your ScrapeBadger API key.

Path Parameters

string
required
Media shortcode.
string
Reply and comment-liker paths only — the parent comment’s pk.

Query Parameters

integer
default:"20"
Page size.
string
Opaque next-page token from a previous next_cursor.

Paths

  • GET /v1/instagram/media/{code}/comments — top-level comments.
  • GET /v1/instagram/media/{code}/comments/{comment_id}/replies — replies to a comment.
  • GET /v1/instagram/media/{code}/comments/{comment_id}/likers — likers of a comment.

Response

Comment[] | UserShort[]
For the comment and reply paths a Comment: pk, text, user, created_at, created_at_utc, like_count, has_liked. For the comment-liker path a UserShort.
integer
string
Null when exhausted.
boolean

Example

Response